import 'label.dart';
import '../util/util.dart';

class BundleData {
  final Map<String, Map<String, Label>> data;

  BundleData({this.data});

  BundleData.fromJson(List<dynamic> json)
      : data = Map.fromIterable(json,
            key: (localeData) => Util.canonicalizedLocale(localeData['locale']),
            value: (localeData) => Map.fromIterable(localeData['data'] as List,
                key: (labelData) => labelData['key'],
                value: (labelData) => Label.fromJson(labelData)));
}
