import 'label.dart';

class ReleaseData {
  final int version;
  final Map<String, Map<String, Label>> data;

  ReleaseData({this.version, this.data});

  ReleaseData.fromJson(Map<String, dynamic> json)
      : version = json['version'],
        data = Map.fromIterable(json['data'].keys,
            key: (localeCode) => localeCode,
            value: (localeCode) => Map.fromIterable(
                json['data'][localeCode].keys,
                key: (labelKey) => labelKey,
                value: (labelKey) =>
                    Label.fromJson(json['data'][localeCode][labelKey])));

  Map<String, dynamic> toJson() => {'version': version, 'data': data};
}
